package uam.patrones.prototype.clases;

public class ClaseClonar implements Cloneable{

	private String datoA;
	private String datoB;
	
	
	public Object clone() {
	      Object clone = null;
	      
	      try {
	         clone = super.clone();
	         
	      } catch (CloneNotSupportedException e) {
	        System.err.println("No se pudo realizar la clonación");
	      }
	      
	      return clone;
	   }


	public String getDatoA() {
		return datoA;
	}


	public void setDatoA(String datoA) {
		this.datoA = datoA;
	}


	public String getDatoB() {
		return datoB;
	}


	public void setDatoB(String datoB) {
		this.datoB = datoB;
	}
	
}
