package uam.patrones.prototype.clases;


public class Registro implements Cloneable{

	public String zonaGeografica;
	public String hora;
	public float temperatura;
	
	@Override
	public Object clone() {
		Object clone = null;
		try {
			clone = super.clone();
		} catch (CloneNotSupportedException e) {
			System.err.println("ERROR");
		}
		return clone;
	}


	public String getZonaGeografica() {
		return zonaGeografica;
	}


	public void setZonaGeografica(String zonaGeografica) {
		this.zonaGeografica = zonaGeografica;
	}


	public String getHora() {
		return hora;
	}


	public void setHora(String hora) {
		this.hora = hora;
	}


	public float getTemperatura() {
		return temperatura;
	}


	public void setTemperatura(float temperatura) {
		this.temperatura = temperatura;
	}
	
	public String toString() {
		return zonaGeografica + " " + hora + " " + temperatura;
	}
	
	
	
}
