package uam.patrones.prtotype.principal;


import uam.patrones.prototype.clases.ClaseClonar;
import uam.patrones.prototype.clases.Registro;

public class Principal {

	public static void main(String[] args) {
		//problema();
		otra();

	}
	
	
	private static void problema() {
		
		ClaseClonar a1 = new ClaseClonar();
		ClaseClonar a2 = new ClaseClonar();
		
		a1.setDatoA("1234");
		/*Al copiar el objeto, si se modifica la copia, se modifica el original*/
		a2 = a1;
		
		/*Al clonar el objeto, no se ve afectada la creación original*/
		//a2 = (ClaseClonar) a1.clone();
		
		a2.setDatoA("4567");


		System.out.println(a1.getDatoA());
		System.out.println(a2.getDatoA());
	
	}
	
	private static void otra() {
		
		Registro registro = new Registro();
		registro.setZonaGeografica("ZONA_1");
		registro.setHora("HORA_1");
		registro.setTemperatura(24.5f);
		
		/*Esto evitaría tener que volver a consultar los datos
		 * de zona geográfica y de hora
		 */
		Registro registro1 = (Registro) registro.clone();
		registro1.setTemperatura(34.6f);
		
		System.out.println(registro.toString());
		System.out.println(registro1.toString());
		
		
		
	}

}
